Summary:        Palette quantization library that powers pngquant and other PNG optimizers
Name:           libimagequant
Version:        4.2.2
Release:        1%{?dist}
License:        GPLv3+ and MIT
URL:            https://github.com/ImageOptim/libimagequant
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc make

%description
Imagequant library converts RGBA images to palette-based
8-bit indexed images, including alpha component. It's ideal
for generating tiny PNG images and nice-looking GIFs.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
Imagequant library converts RGBA images to palette-based
8-bit indexed images, including alpha component. It's ideal
for generating tiny PNG images and nice-looking GIFs.


%prep
%autosetup -p1


%build
%configure --with-openmp
%make_build


%install
%make_install
rm -f %{buildroot}%{_libdir}/%{name}.a


%files
%license COPYRIGHT
%doc README.md CHANGELOG
%{_libdir}/%{name}.so.0


%files devel
%{_includedir}/%{name}.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/imagequant.pc


%changelog
* Fri Dec 08 2023 Upgrade Robot <upbot@opencloudos.org> - 4.2.2-1
- Upgrade to version 4.2.2

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.18.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.18.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Apr 14 2023 Miaojun Dong <zoedong@tencent.com> - 2.18.0-1
- initial build
